package com.emergency.avenue.storage.mapper;

import com.emergency.avenue.admin.api.vo.MaterialOutboundVO;
import com.emergency.avenue.storage.api.entity.InboundMaterialInfo;
import com.emergency.avenue.common.data.datascope.AvenueBaseMapper;
import io.lettuce.core.dynamic.annotation.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface InboundMaterialMapper extends AvenueBaseMapper<InboundMaterialInfo> {
	List<InboundMaterialInfo> selectListByWarehouseId(@Param("warehouseId")String warehouseId);

	List<MaterialOutboundVO> selectListByWarehouseIdAndMaterial( MaterialOutboundVO materialOutboundVO);
}
