package com.emergency.avenue.storage.mapper;

import com.emergency.avenue.common.data.datascope.AvenueBaseMapper;
import com.emergency.avenue.storage.api.entity.DockErrorLogDO;
import com.emergency.avenue.storage.api.entity.DockOrganizationDO;
import com.emergency.avenue.storage.api.entity.DockStockInfoDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @program: report-java
 * @author: duhuajie
 * @create: 2024-07-26
 * @description: 库存 对接 mapper
 */

@Mapper
public interface StockDataDockingMapper  extends AvenueBaseMapper<DockStockInfoDO> {

    List<DockOrganizationDO> selectOrganization();

    List<DockOrganizationDO> selectOrganizationAll();

    List<DockStockInfoDO> selectStockInfoList();

    void insertErrorLog(@Param("errorLog") DockErrorLogDO errorLogDO);
}
