package com.emergency.avenue.storage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.emergency.avenue.admin.api.vo.InTransitVehicleOrderVO;
import com.emergency.avenue.storage.api.entity.InTransitVehicleInfo;
import com.emergency.avenue.storage.api.request.EyeCommonReq;

import java.util.List;

public interface InTransitVehicleInfoService extends IService<InTransitVehicleInfo> {

	EyeCommonReq trajectorybyId(Long vehicleId);

	IPage<InTransitVehicleOrderVO> getInTransitVehicleInfoPageOrder(Page page, InTransitVehicleInfo inTransitVehicleInfo);

	EyeCommonReq trajectorybyOrdierName(List<InTransitVehicleInfo> records);

	void getEyeString(InTransitVehicleInfo item);
}

