package com.emergency.avenue.admin.api.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
@Data
@Schema(description = "出库下发获取单价和时间表")
public class MaterialOutboundVO {
	@Schema(description = "仓库id")
	private String warehouseId;

	@Schema(description = "入库物资id")
	private Integer materialId;

	@Schema(description = "物资大类")
	private String materialGroup;

	@Schema(description = "物资类别")
	private String materialType;


	@Schema(description = "物资名称")
	private String materialName;

	@Schema(description = "物资单位")
	private String materialUnit;

	@Schema(description = "入库时间")
	private String inboundTime;

	@Schema(description = "单价")
	private String unitPrice;

	@Schema(description = "是否可用")
	private String isAvailable;
}
