package com.emergency.avenue.admin.api.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.math.BigDecimal;


@Data
@Schema(description = "设备故障管理vo")
public class MaterialsFailureDetailVO {
	@Schema(description = "记录的唯一标识符")
	private Long id;

	@Schema(description = "垂管局")
	private String deptName ;

	@Schema(description = "垂管局id")
	private Long deptId;

	@Schema(description = "仓库名称")
	private String warehouseName ;

	@Schema(description = "仓库id")
	private Long warehouseId;


	@Schema(description = "物资大类")
	private String materialGroup;

	@Schema(description = "物资类别")
	private String materialType;


	@Schema(description = "物资名称")
	private String materialName;

	@Schema(description = "物资单位")
	private String materialUnit;

	@Schema(description = "入库日期")
	private String inboundTime;

	@Schema(description = "单价")
	private BigDecimal unitPrice;

	@Schema(description = "数量")
	private Integer quantity;

	@Schema(description = "总价")
	private BigDecimal totalPrice;


	@Schema(description = "生产厂家")
	private String  manufacturer;

	@Schema(description = "问题描述")
	private String  description;

	@Schema(description = "处理方式")
	private String  method;

	@Schema(description = "状态")
	private Integer status;

	@Schema(description = "备注")
	private String remarks;

	@Schema(description = "规格")
	private String specs;

}
